package com.zd.exam.service;

import com.zd.exam.domain.ElQuAnswer;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 候选答案(ElQuAnswer)表服务接口
 *
 * @author liubo
 * @since 2021-08-30 17:10:21
 */
public interface ElQuAnswerService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    ElQuAnswer queryById(Long id);

    /**
     * 查询多条数据
     *
     * @param offset 查询起始位置
     * @param limit  查询条数
     * @return 对象列表
     */
    List<ElQuAnswer> queryAllByLimit(int offset, int limit);

    /**
     * 新增数据
     *
     * @param elQuAnswer 实例对象
     * @return 实例对象
     */
    ElQuAnswer insert(ElQuAnswer elQuAnswer);

    /**
     * 修改数据
     *
     * @param elQuAnswer 实例对象
     * @return 实例对象
     */
    ElQuAnswer update(ElQuAnswer elQuAnswer);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);

    List<ElQuAnswer> queryByQuId(Long id);

    void saveAll(@NotNull Long id, List<ElQuAnswer> answerList);
}
